Package org.firebirdsql.jaybird.parser

## Class SqlTokenizer

- java.lang.Object
- - org.firebirdsql.jaybird.parser.SqlTokenizer

All Implemented Interfaces:
  `java.lang.AutoCloseable`, `java.util.Iterator<Token>`

    @InternalApi
    public final class SqlTokenizer
    extends java.lang.Object
    implements java.util.Iterator<Token>, java.lang.AutoCloseable

Converts a SQL statement into tokens.

This class is not thread-safe.

Since:
  5

### Nested Class Summary

Nested Classes
`static class` `SqlTokenizer.Builder`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`void` `close()`
`boolean` `hasNext()`
`Token` `next()`
`static SqlTokenizer.Builder` `withReservedWords​(ReservedWords reservedWords)` Tokenize with a supplier of reserved words.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Methods inherited from interface java.util.Iterator

`forEachRemaining, remove`

### Method Detail

#### withReservedWords

    public static SqlTokenizer.Builder withReservedWords​(ReservedWords reservedWords)

Tokenize with a supplier of reserved words.

Parameters:
  `reservedWords` - Reserved words
Returns:
  builder to complete initialization of a tokenizer

#### hasNext

    public boolean hasNext()

Specified by:
  `hasNext` in interface `java.util.Iterator<Token>`

#### next

    public Token next()

Specified by:
  `next` in interface `java.util.Iterator<Token>`

#### close

    public void close()

Specified by:
  `close` in interface `java.lang.AutoCloseable`